%define DATE 20020321
%define sourcedir stable/%{version}/distribution/tar/generic/source
%define is_release 0
%define beta %{nil}
Version: 3.0.0
%define rel 1
%if "%{beta}" != ""
%define VER %{version}%{beta}
%else
%define VER %{version}
%endif

Name: kdoc
Summary: Documentation for the K Desktop Environment (KDE)
%if %{is_release}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdoc-%{VER}.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdoc-%{DATE}.tar.bz2
%endif
%if %{is_release}
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
%else
Release: %{rel}
%endif
%else
Release: 0.cvs%{DATE}.%{rel}
%endif
Epoch: 1
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
BuildArch: noarch
BuildRequires: autoconf253 automake15

%description
Documentation tools for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q -n %{name}-%{VER}
%else
%setup -q -n %{name}
%endif

# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
# End workaround

make -f Makefile.cvs

%build
export KDEDIR=/usr
. /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/kde" %configure 
make -j $CPUS CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG"

%install
make DESTDIR="$RPM_BUILD_ROOT" install

cp -a $RPM_BUILD_ROOT/usr/share/doc/kdoc docs
rm -fr $RPM_BUILD_ROOT%{_docdir}

%clean
# rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
%{_prefix}/bin/*
%dir %{_prefix}/share/kdoc
%{_prefix}/share/kdoc/*
%{_mandir}/*/*

%changelog
* Wed Mar 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020313.1
- Use autoconf 2.53, automake 1.5

* Sat Dec 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011215.1
- Update

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2 beta 1

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Feb 18 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Tue Nov 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0.1

* Wed Nov  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current CVS, this should finally be able to generate the kdelibs
  docs

* Fri Oct 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH, now that the ".0 release" bugs are fixed.
- Fix build on 6.x systems

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0rc2
- clean up spec file

* Tue Jul 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- drop icon (glint is obsolete)
- "License" replaces "Copyright"
- use %%docdir
- different releasenumber scheme, the old one can't be used 
  for tools and makes fixing specfiles hard

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- Don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Tue Jun 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build if %%{_mandir} = /usr/man

* Sun Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- FHSify

* Mon Apr  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix compatibility with perl 5.6.0

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- remove renaming to kdoc2 etc, move to /usr

* Wed Mar 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- New snapshot
- Make gzipped man pages optional

* Tue Feb  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- handle compressed man pages
- new snapshot

* Wed Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix up the makekde2doc script (add missing semicolon)

* Thu Jan  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- get ready for powertools 6.2
- make it a noarch package; it's just perl scripts

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
